#
# spec file for package libkgapi
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang

Name:           libkgapi
Version:        17.04.2
Release:        1.1
# Latest stable Applications (e.g. 16.08 in KA, but 16.11.80 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Extension for accessing your Google data
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= 1.0.0
BuildRequires:  kcalcore-devel
BuildRequires:  kcontacts5-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kf5-filesystem
BuildRequires:  pkgconfig
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0
BuildRequires:  pkgconfig(Qt5WebEngineWidgets) >= 5.6.0
BuildRequires:  pkgconfig(Qt5WebKitWidgets) >= 5.2.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %ix86 x86_64 %arm aarch64 mips mips64

%description
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package -n libKPimGAPIBlogger5
Summary:        Extension for accessing your Google data
Group:          System/GUI/KDE

%description -n libKPimGAPIBlogger5
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package -n libKPimGAPICalendar5
Summary:        Extension for accessing your Google data
Group:          System/GUI/KDE

%description -n libKPimGAPICalendar5
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package -n libKPimGAPIContacts5
Summary:        Extension for accessing your Google data
Group:          System/GUI/KDE

%description -n libKPimGAPIContacts5
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package -n libKPimGAPICore5
Summary:        Extension for accessing your Google data
Group:          System/GUI/KDE
Recommends:     %{name}-lang
Provides:       %{name} = %{version}

%description -n libKPimGAPICore5
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package -n libKPimGAPIDrive5
Summary:        Extension for accessing your Google data
Group:          System/GUI/KDE

%description -n libKPimGAPIDrive5
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package -n libKPimGAPILatitude5
Summary:        Extension for accessing your Google data
Group:          System/GUI/KDE

%description -n libKPimGAPILatitude5
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package -n libKPimGAPIMaps5
Summary:        Extension for accessing your Google data
Group:          System/GUI/KDE

%description -n libKPimGAPIMaps5
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package -n libKPimGAPITasks5
Summary:        Extension for accessing your Google data
Group:          System/GUI/KDE

%description -n libKPimGAPITasks5
An extension for accessing some Google services, such as Google Calendar, Google Contacts and Google tasks.

%package devel
Summary:        KDE PIM Libraries: Build Environment
Group:          Development/Libraries/KDE
Requires:       kcalcore-devel
Requires:       kcontacts5-devel
Requires:       kcoreaddons-devel
Requires:       libKPimGAPIBlogger5 = %{version}
Requires:       libKPimGAPICalendar5 = %{version}
Requires:       libKPimGAPIContacts5 = %{version}
Requires:       libKPimGAPICore5 = %{version}
Requires:       libKPimGAPIDrive5 = %{version}
Requires:       libKPimGAPILatitude5 = %{version}
Requires:       libKPimGAPIMaps5 = %{version}
Requires:       libKPimGAPITasks5 = %{version}
Obsoletes:      libkgapi5-devel < %{version}
Provides:       libkgapi5-devel = %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop KDE PIM applications.

%if %{with lang}
%lang_package
%endif

%prep
%setup -q -n libkgapi-%{version}

%build
  %cmake_kf5 -d build -- -DBUILD_TESTING=ON
  %make_jobs

%install
  %kf5_makeinstall -C build
  %if %{with lang}
    %find_lang %{name} --with-man --with-qt --all-name
  %endif

%post -n libKPimGAPIBlogger5 -p /sbin/ldconfig
%postun -n libKPimGAPIBlogger5 -p /sbin/ldconfig
%post -n libKPimGAPICalendar5 -p /sbin/ldconfig
%postun -n libKPimGAPICalendar5 -p /sbin/ldconfig
%post -n libKPimGAPIContacts5 -p /sbin/ldconfig
%postun -n libKPimGAPIContacts5 -p /sbin/ldconfig
%post -n libKPimGAPICore5 -p /sbin/ldconfig
%postun -n libKPimGAPICore5 -p /sbin/ldconfig
%post -n libKPimGAPIDrive5 -p /sbin/ldconfig
%postun -n libKPimGAPIDrive5 -p /sbin/ldconfig
%post -n libKPimGAPILatitude5 -p /sbin/ldconfig
%postun -n libKPimGAPILatitude5 -p /sbin/ldconfig
%post -n libKPimGAPIMaps5 -p /sbin/ldconfig
%postun -n libKPimGAPIMaps5 -p /sbin/ldconfig
%post -n libKPimGAPITasks5 -p /sbin/ldconfig
%postun -n libKPimGAPITasks5 -p /sbin/ldconfig

%files -n libKPimGAPIBlogger5
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKPimGAPIBlogger.so.*

%files -n libKPimGAPICalendar5
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKPimGAPICalendar.so.*

%files -n libKPimGAPIContacts5
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKPimGAPIContacts.so.*

%files -n libKPimGAPICore5
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKPimGAPICore.so.*
%{_kf5_configdir}/libkgapi.categories

%files -n libKPimGAPIDrive5
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKPimGAPIDrive.so.*

%files -n libKPimGAPILatitude5
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKPimGAPILatitude.so.*

%files -n libKPimGAPIMaps5
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKPimGAPIMaps.so.*

%files -n libKPimGAPITasks5
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKPimGAPITasks.so.*

%files devel
%defattr(-,root,root)
%doc LICENSE
%{_kf5_libdir}/libKPimGAPIBlogger.so
%{_kf5_libdir}/libKPimGAPICalendar.so
%{_kf5_libdir}/libKPimGAPIContacts.so
%{_kf5_libdir}/libKPimGAPICore.so
%{_kf5_libdir}/libKPimGAPIDrive.so
%{_kf5_libdir}/libKPimGAPILatitude.so
%{_kf5_libdir}/libKPimGAPIMaps.so
%{_kf5_libdir}/libKPimGAPITasks.so
%{_includedir}/KPim/
%{_kf5_libdir}/cmake/KF5GAPI/
%{_kf5_libdir}/cmake/KPimGAPI/
%{_kf5_mkspecsdir}/qt_KGAPIBlogger.pri
%{_kf5_mkspecsdir}/qt_KGAPICalendar.pri
%{_kf5_mkspecsdir}/qt_KGAPIContacts.pri
%{_kf5_mkspecsdir}/qt_KGAPICore.pri
%{_kf5_mkspecsdir}/qt_KGAPIDrive.pri
%{_kf5_mkspecsdir}/qt_KGAPILatitude.pri
%{_kf5_mkspecsdir}/qt_KGAPIMaps.pri
%{_kf5_mkspecsdir}/qt_KGAPITasks.pri

%if %{with lang}
%files lang -f %{name}.lang
%doc LICENSE
%endif

%changelog
* Wed Jun  7 2017 lbeltrame@kde.org
- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None
* Wed May 17 2017 lbeltrame@kde.org
- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * Prepare 5.5.1
  * Auth: add URL bar and SSL indicator to the authentication page
  * Auth: don't store cookies
  * Auth: Adapt to changes in Google OAuth token retrieval process
  * Use same variable as other lib. It's more easy to upgrade version
  * Fix some clazy warning
- Drop upstreamed patches:
  * adapt-to-changes-in-google-oauth.patch
* Thu Apr 27 2017 lbeltrame@kde.org
- Add upstream patch adapt-to-changes-in-google-oauth.patch:
  * Fix for changes in Google OAuth process
* Fri Apr 21 2017 lbeltrame@kde.org
- Remove all Recommends on non-core packages, since they will
  require the core one
* Fri Apr 21 2017 lbeltrame@kde.org
- Make libKPimGAPICore5 provide libkgapi, so that instaling
  languages (which use a single file) will work
* Sun Apr 16 2017 lbeltrame@kde.org
- Update to 17.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.0.php
- Changes since 17.03.90:
  * Fix some clazy warning
* Wed Apr 12 2017 lbeltrame@kde.org
- Update to 17.03.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04-rc.php
- Changes since 17.03.80:
  * None
* Fri Mar 31 2017 fabian@ritter-vogt.de
- Build only for architectures compatible with Qt WebEngine
* Sun Mar 26 2017 lbeltrame@kde.org
- Update to 17.03.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.03.80.php
- Changes since 5.3.1:
  * increase dependancies
  * Use KDE_INSTALL_TARGETS_DEFAULT_ARGS when installing targets
  * It's in official release + we don't use i18n
  * Fixup .reviewboardrc
  * src/latitude/latitudeservice.cpp - Q_UNUSED
  * Make Qt l10 tools happier
  * Fix version
  * AuthJob: emit finished() when dialog is rejected
  * Rename CMake target prefix from KF5 to KPim
  * Fix typo in quotaBytesUserAggregate() method
  * Fix compile with Qt 5.8: add missing QImage includes
  * Fix compile with Qt 5.8: add missing QImage includes
  * USe nullptr
  * Add missing Q_DECL_OVERRIDE
  * Clean up. Increase qt dependancy
  * use Q_NULLPTR
  * Increase version
  * increase version
  * drive: deprecate hidden() and setHidden() in File
  * Relicense to LGPLv2.1 or v3 or later versions approved by KDE e.V.
  * Remove stray WebKitWidgets reference.
  * Remove unused KF5CoreAddons dependency.
  * Switch to QtWebEngine
  * Move tests to autotests
  * Update AUTHORS
  * Increase version
  * Fix ts2Str() UTC conversion
* Fri Sep 30 2016 fabian@ritter-vogt.de
- Update to 5.3.1
  * No changelog provided
* Sun Aug 21 2016 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * No changelog provided
* Sun Jan 17 2016 tittiatcoke@gmail.com
- Update to 5.1.0
  * KDE Frameworks 5 based version. (boo#953617)
* Sat Aug 16 2014 tittiatcoke@gmail.com
- Update to 2.2.0
  * Final release
* Fri Jul 11 2014 cgiboudeaux@gmx.com
- Update to 2.1.80
  * Added Blogger API
* Wed Apr 30 2014 hrvoje.senjan@gmail.com
- Update to 2.1.1
  * Bugfix release, no changelog provided
* Tue Mar 11 2014 hrvoje.senjan@gmail.com
- Update to 2.1.0
  * Added support for Google Drive API v2
- Dropped 0001-When-fetching-last-contact-photo-fails-don-t-fail-th.patch,
  merged upstream
- Drop libkgapi1, libkgapi1-devel and libkgapi2-devel packages, per
  upstream changes
* Sat Dec  7 2013 hrvoje.senjan@gmail.com
- Update to 2.0.2
  * Add support for Microsoft Standard Time Zones
  * Respect calendar-wide timezones
- Added 0001-When-fetching-last-contact-photo-fails-don-t-fail-th.patch,
  for resolving kde#328422, where the synchronization of google resource
  could fail of contact wouldn't have a photo
* Fri Jun 14 2013 hrvoje.senjan@gmail.com
- Add missing %%files section for devel package
* Sat Jun  1 2013 hrvoje.senjan@gmail.com
- Update to 2.0.1
  * Fixed new account authentication with legacy API
* Fri May 24 2013 hrvoje.senjan@gmail.com
- Update to 2.0.0
  * new LibKGAPI 2 API, breaks ABI, old API is preserved
  * new job-based API that deprecates the old one. It is cleaner,
    more flexible and much easier to use
- Obsolete libkgapi0
- Add new libkgapi-devel package which depends on both libkgapi1-devel
  and libkgapi2-devel, until we can depend purely on libkgapi2-devel
- Drop usage of fdupes
* Wed Dec 19 2012 nico.kruber@gmail.com
- Update to 0.4.4
  * fixed kde#309314 - Contacts with XML-unsafe characters not stored
  * fixed kde#309318 - Support custom IM protocols
  * fixed kde#310177 - Support birthday dates without year specified
  * fixed kde#310851 - Handle Microsoft TZIDs
* Tue Oct 23 2012 cgiboudeaux@gmx.com
- Update to 0.4.3
  * Fix kde#307719 - Don't duplicate instances detached from a recurrent event
  * Fix kde#308462 - Don't emit authentication success when it actually fails
  * fixed a typo in calendar parser that caused all calendars to have read-only flag
* Wed Oct 10 2012 nico.kruber@gmail.com
- remove self-obsoletes
- also obsolete akonadi-google
  (changes come from KR49, mainly attributed to toddrme2178@gmail.com)
* Tue Sep 11 2012 cgiboudeaux@gmx.com
- Add libkgapi. A Library to access some Google data.
  It is a build requirement for kdepim-runtime > 4.9
